# thrd_equal

From cppreference.com
< c‎ | thread

Defined in header `<threads.h>` |  |
int thrd_equal( thrd_t lhs, thrd_t rhs ); |  | (since C11)

Checks whether `lhs` and `rhs` refer to the same thread.

### Parameters

lhs, rhs | - | threads to compare

### Return value

Non-zero value if `lhs` and `rhs` refer to the same value, ​0​ otherwise.

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.26.5.4 The thrd_equal function (p: 384)

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/thread/thrd_equal&oldid=90296"